
TYPO3.Neos - Bug # 42200

Work Package # 45021 (New): [WIP] [ASSIGNEE MISSING] Cross Browser Compatibility

Status: Resolved Priority: Should have
Author: Rens Admiraal Category:
Created: 2012-10-20 Assigned To:
Updated: 2013-07-07 Due date:
Subject: IE9: Loading the page tree fails
Description

In Internet Explorer 9 it's not possible to open the pagetree.

Associated revisions
Revision 5ad77124 - 2013-07-07 02:14 - Jose Antonio Guerra

[BUGFIX] IE9: Loading the page tree fails

loadState and restoreState are not supported on IE9. Trying to call
those methods breaks the whole JS application.

Added detection to avoid the call where not supported.

Change-Id: I5c3df0956c2a1119ad48f5da1f25fd243fe70d47
Fixes: #42200
Reviewed-on: https://review.typo3.org/22084
Reviewed-by: Rens Admiraal
Tested-by: Rens Admiraal
Reviewed-by: Sebastian Kurfuerst

History
#1 - 2013-04-10 21:15 - Aske Ertmann
- Target version set to 1.0 beta 1
- Parent task set to #45021

#2 - 2013-07-07 01:10 - Jose Antonio Guerra
- File error.gif added

Problem is IE9 does not support pushState and replaceState:

http://stackoverflow.com/questions/3722815/does-internet-explorer-support-pushstate-and-replacestate

Some kind of replacement or fallback should be in place to support this browser.

#3 - 2013-07-07 01:37 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22084

#4 - 2013-07-07 02:11 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/22084

#5 - 2013-07-07 02:37 - Jose Antonio Guerra
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:5ad7712481ad3a10410f655d1200960ae2540266.
